#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xmlsec1
Version		:	1.3.0
Release		:	17.0.10.rel%{?dist}
Summary		:	Library providing support for "XML Signature" and "XML Encryption"
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	http://www.aleksey.com/xmlsec

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	gnutls
BuildRequires	:	nss
#-----------------------------------------------------------------------------
%description
XML Security Library is a C library based on LibXML2  and OpenSSL.
The library was created with a goal to support major XML security
standards "XML Digital Signature" and "XML Encryption".

#-----------------------------------------------------------------------------
%prep
%setup -q

#To work with libxml2-2.12.3
sed -i							\
  -e"s/xmlErrorPtr error/const xmlError *error/"	\
  src/errors_helpers.h

sed -i							\
  -e"/#include <string.h>/a #include <stdlib.h>"	\
  apps/crypto.c

#-----------------------------------------------------------------------------
#building application
%build

#/autogen.sh
./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%files			
%defattr(-,root,root,-)
%doc AUTHORS NEWS README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-config
%{_includedir}/%{name}/xmlsec/*.h
%{_includedir}/%{name}/xmlsec/gcrypt/*.h
%{_includedir}/%{name}/xmlsec/gnutls/*.h
%{_includedir}/%{name}/xmlsec/nss/*.h
%{_includedir}/%{name}/xmlsec/openssl/*.h
%{_libdir}/xmlsec1Conf.sh
%{_libdir}/lib%{name}*.so*
%{_libdir}/pkgconfig/%{name}*.pc
%{_datadir}/aclocal/%{name}.m4
%{_defaultdocdir}/%{name}-%{version}/*.{html,png}
%{_defaultdocdir}/%{name}-%{version}/api/*.{html,png}
%{_defaultdocdir}/%{name}-%{version}/images/*.{gif,png}
%{_defaultdocdir}/%{name}-%{version}/api/images/*.png
%{_defaultdocdir}/%{name}-%{version}/favicon.ico
%{_mandir}/man1/%{name}-config.1.gz
%{_mandir}/man1/%{name}.1.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
